Bug 2070689 (CVE-2022-1198) - CVE-2022-1198 kernel: use-after-free in drivers/net/hamradio/6pack.c
Summary: CVE-2022-1198 kernel: use-after-free in drivers/net/hamradio/6pack.c
Keywords:
Status: NEW
Alias: CVE-2022-1198
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 2070691 (view as bug list)
Depends On: 2071041 2089036 2089037
Blocks: 2070690 2070693
TreeView+ depends on / blocked
 
Reported: 2022-03-31 16:52 UTC by Pedro Sampaio
Modified: 2022-07-16 03:22 UTC (History)
47 users (show)

Fixed In Version: kernel 5.17 rc6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Pedro Sampaio 2022-03-31 16:52:44 UTC
There are use-after-free vulnerabilities in drivers/net/hamradio/6pack.c of linux that allow attacker to crash linux kernel by simulating Amateur Radio from user-space.

Upstream fix:

https://github.com/torvalds/linux/commit/efe4186e6a1b54bf38b9e05450d43b0da1fd7739

Comment 1 Pedro Sampaio 2022-04-01 16:33:20 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 2071041]

Comment 2 Salvatore Bonaccorso 2022-04-02 12:00:46 UTC
https://www.openwall.com/lists/oss-security/2022/04/02/3

Comment 3 Justin M. Forbes 2022-04-28 12:42:05 UTC
This was fixed for Fedora with the 5.16.15 stable kernel updates.

Comment 4 TEJ RATHI 2022-05-10 08:16:53 UTC
*** Bug 2070691 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.